From 5328dfc7518ecd6ed4b751457cf8253710e62f60 Mon Sep 17 00:00:00 2001
From: Harald Immerheiser <harald.immerheiser@ruv.de>
Date: Fri, 30 Jul 2021 23:07:01 +0200
Subject: [PATCH 1/2] Prepare support for Greenplum 6.x

---
 .../browser/server_groups/servers/databases/extensions/__init__.py      | 2 +-
 .../server_groups/servers/databases/schemas/sequences/__init__.py       | 2 +-
 .../browser/server_groups/servers/databases/schemas/views/__init__.py   | 2 +-
 web/pgadmin/browser/server_groups/servers/roles/__init__.py             | 2 +-
 web/pgadmin/utils/versioned_template_loader.py                          | 1 +
 5 files changed, 5 insertions(+), 4 deletions(-)

diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/extensions/__init__.py
index 79859d5..0808d48 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/__init__.py
@@ -43,7 +43,7 @@ class ExtensionModule(CollectionNodeModule):
         Initialising the base class
         """
         super(ExtensionModule, self).__init__(*args, **kwargs)
-        self.min_gpdbver = 1000000000
+        self.min_gpdbver = 90424
 
     def get_nodes(self, gid, sid, did):
         """
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/__init__.py
index dd0fe73..802036a 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/__init__.py
@@ -59,7 +59,7 @@ class SequenceModule(SchemaChildModule):
         super(SequenceModule, self).__init__(*args, **kwargs)
         self.min_ver = None
         self.max_ver = None
-        self.min_gpdbver = 1000000000
+        self.min_gpdbver = 90424
 
     def get_nodes(self, gid, sid, did, scid):
         """
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/__init__.py
index 18d75d8..57afd0e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/__init__.py
@@ -199,7 +199,7 @@ class MViewModule(ViewModule):
         super(MViewModule, self).__init__(*args, **kwargs)
         self.min_ver = 90300
         self.max_ver = None
-        self.min_gpdbver = 1000000000
+        self.min_gpdbver = 90424
 
 
 view_blueprint = ViewModule(__name__)
diff --git a/web/pgadmin/browser/server_groups/servers/roles/__init__.py b/web/pgadmin/browser/server_groups/servers/roles/__init__.py
index 37e3cbf..b5200b2 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/roles/__init__.py
@@ -799,7 +799,7 @@ rolmembership:{
 
     def _set_rolemembership(self, row):
 
-        if 'rolmembers' in row:
+        if 'rolmembers' in row and row['rolmembers'] is not None:
             rolmembers = []
             for role in row['rolmembers']:
                 role = re.search(r'([01])(.+)', role)
diff --git a/web/pgadmin/utils/versioned_template_loader.py b/web/pgadmin/utils/versioned_template_loader.py
index c4dcc15..bd0675f 100644
--- a/web/pgadmin/utils/versioned_template_loader.py
+++ b/web/pgadmin/utils/versioned_template_loader.py
@@ -79,6 +79,7 @@ def get_version_mapping_directories(server_type):
     """
     if server_type == 'gpdb':
         return (
+            {'name': "gpdb_6.0_plus", 'number': 90424},
             {'name': "gpdb_5.0_plus", 'number': 80323},
             {'name': "5_plus", 'number': 80323},
             {'name': "default", 'number': 0}
-- 
2.8.0

